declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ll-plus/es/index").Color>, unknown, unknown, () => import("ll-plus/es/index").Color, boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ll-plus/es/index").Color>, unknown, unknown, () => import("ll-plus/es/index").Color, boolean>;
    }>> & Readonly<{}> & {}>;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    instance: import("vue").ComponentInternalInstance;
    cursorTop: import("vue").Ref<number, number>;
    cursorLeft: import("vue").Ref<number, number>;
    background: import("vue").Ref<string, string>;
    colorValue: import("vue").ComputedRef<{
        hue: any;
        value: any;
    }>;
    update: () => void;
    handleDrag: (event: MouseEvent) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ll-plus/es/index").Color>, unknown, unknown, () => import("ll-plus/es/index").Color, boolean>;
}>> & Readonly<{}>, {
    readonly color: import("ll-plus/es/index").Color;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
